## calypso.util
Class AttributeValuePair

    java.lang.Object
      |
      +--calypso.util.AttributeValuePair

public class AttributeValuePair
extends java.lang.Object

Simple attribute/value pair class XXX add in a recylcer XXX add in a method to reconsitute one from an InputStream/String?

Field Summary
`protected Atom` | `fName`
`protected java.lang.String` | `fValue`

Constructor Summary
`AttributeValuePair(Atom aName, java.lang.String aValue)`
`AttributeValuePair(java.lang.String aName, java.lang.String aValue)`

Method Summary
`boolean` | `equals(java.lang.Object aObject)`
`Atom` | `getName()`
`java.lang.String` | `getValue()`
`int` | `hashCode()`
`protected java.lang.String` | `quoteValue()` Quote the value portion of an attribute,value pair making it suitable for reading in later.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### fName

    protected Atom fName

### fValue

    protected java.lang.String fValue

Constructor Detail

### AttributeValuePair

    public AttributeValuePair(java.lang.String aName,
                              java.lang.String aValue)

### AttributeValuePair

    public AttributeValuePair(Atom aName,
                              java.lang.String aValue)

Method Detail

### getName

    public Atom getName()

### getValue

    public java.lang.String getValue()

### equals

    public boolean equals(java.lang.Object aObject)

  Overrides:
    equals in class java.lang.Object

### hashCode

    public int hashCode()

  Overrides:
    hashCode in class java.lang.Object

### toString

    public java.lang.String toString()

  Overrides:
    toString in class java.lang.Object

### quoteValue

    protected java.lang.String quoteValue()

  Quote the value portion of an attribute,value pair making it suitable for reading in later. We assume "C" style quoting by backslashing quotes embedded in the value.